Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xjavadoc
Interface NodeParserTreeConstants

All Known Implementing Classes:
  NodeParser

public interface NodeParserTreeConstants

Field Summary
`static int` | `JJTADDITIVEEXPRESSION`
`static int` | `JJTALLOCATIONEXPRESSION`
`static int` | `JJTANDEXPRESSION`
`static int` | `JJTARGUMENTLIST`
`static int` | `JJTARGUMENTS`
`static int` | `JJTARRAYDIMSANDINITS`
`static int` | `JJTARRAYINITIALIZER`
`static int` | `JJTASSERTSTATEMENT`
`static int` | `JJTASSIGNMENTOPERATOR`
`static int` | `JJTBLOCK`
`static int` | `JJTBLOCKSTATEMENT`
`static int` | `JJTBOOLEANLITERAL`
`static int` | `JJTBREAKSTATEMENT`
`static int` | `JJTCASTEXPRESSION`
`static int` | `JJTCASTLOOKAHEAD`
`static int` | `JJTCLASSBODY`
`static int` | `JJTCLASSBODYDECLARATION`
`static int` | `JJTCLASSDECLARATION`
`static int` | `JJTCOMPILATIONUNIT`
`static int` | `JJTCONDITIONALANDEXPRESSION`
`static int` | `JJTCONDITIONALEXPRESSION`
`static int` | `JJTCONDITIONALOREXPRESSION`
`static int` | `JJTCONSTRUCTORDECLARATION`
`static int` | `JJTCONTINUESTATEMENT`
`static int` | `JJTDOSTATEMENT`
`static int` | `JJTEMPTYSTATEMENT`
`static int` | `JJTEQUALITYEXPRESSION`
`static int` | `JJTEXCLUSIVEOREXPRESSION`
`static int` | `JJTEXECUTABLEMEMBERTHROWS_NAME`
`static int` | `JJTEXECUTABLEMEMBERTHROWS_NAMELIST`
`static int` | `JJTEXPLICITCONSTRUCTORINVOCATION`
`static int` | `JJTEXPRESSION`
`static int` | `JJTFIELD_TYPE`
`static int` | `JJTFIELD_VARIABLEDECLARATORID`
`static int` | `JJTFIELDDECLARATION`
`static int` | `JJTFIELDDECLARATOR`
`static int` | `JJTFORINIT`
`static int` | `JJTFORMALPARAMETER`
`static int` | `JJTFORMALPARAMETERS`
`static int` | `JJTFORSTATEMENT`
`static int` | `JJTFORUPDATE`
`static int` | `JJTIFSTATEMENT`
`static int` | `JJTIMPORTDECLARATION`
`static int` | `JJTINCLUSIVEOREXPRESSION`
`static int` | `JJTINITIALIZER`
`static int` | `JJTINSTANCEOFEXPRESSION`
`static int` | `JJTINTERFACEDECLARATION`
`static int` | `JJTINTERFACEMEMBERDECLARATION`
`static int` | `JJTINTERFACES_NAME`
`static int` | `JJTINTERFACES_NAMELIST`
`static int` | `JJTLABELEDSTATEMENT`
`static int` | `JJTLITERAL`
`static int` | `JJTLOCALVARIABLEDECLARATION`
`static int` | `JJTMETHOD_BLOCK`
`static int` | `JJTMETHOD_BLOCKSTATEMENT`
`static int` | `JJTMETHODDECLARATION`
`static int` | `JJTMETHODDECLARATIONLOOKAHEAD`
`static int` | `JJTMETHODDECLARATOR`
`static int` | `JJTMETHODRESULT_TYPE`
`static int` | `JJTMULTIPLICATIVEEXPRESSION`
`static int` | `JJTNAME`
`static int` | `JJTNAMELIST`
`static int` | `JJTNESTEDCLASSDECLARATION`
`static int` | `JJTNESTEDINTERFACEDECLARATION`
`static String[]` | `jjtNodeName`
`static int` | `JJTNULLLITERAL`
`static int` | `JJTPACKAGEDECLARATION`
`static int` | `JJTPARAMETER_TYPE`
`static int` | `JJTPARAMETER_VARIABLEDECLARATORID`
`static int` | `JJTPOSTFIXEXPRESSION`
`static int` | `JJTPREDECREMENTEXPRESSION`
`static int` | `JJTPREINCREMENTEXPRESSION`
`static int` | `JJTPRIMARYEXPRESSION`
`static int` | `JJTPRIMARYPREFIX`
`static int` | `JJTPRIMARYSUFFIX`
`static int` | `JJTPRIMITIVETYPE`
`static int` | `JJTRELATIONALEXPRESSION`
`static int` | `JJTRESULTTYPE`
`static int` | `JJTRETURNSTATEMENT`
`static int` | `JJTSHIFTEXPRESSION`
`static int` | `JJTSTATEMENT`
`static int` | `JJTSTATEMENTEXPRESSION`
`static int` | `JJTSTATEMENTEXPRESSIONLIST`
`static int` | `JJTSWITCHLABEL`
`static int` | `JJTSWITCHSTATEMENT`
`static int` | `JJTSYNCHRONIZEDSTATEMENT`
`static int` | `JJTTHROWSTATEMENT`
`static int` | `JJTTRYSTATEMENT`
`static int` | `JJTTYPE`
`static int` | `JJTTYPEDECLARATION`
`static int` | `JJTUNARYEXPRESSION`
`static int` | `JJTUNARYEXPRESSIONNOTPLUSMINUS`
`static int` | `JJTUNMODIFIEDCLASSDECLARATION`
`static int` | `JJTUNMODIFIEDINTERFACEDECLARATION`
`static int` | `JJTVARIABLEDECLARATOR`
`static int` | `JJTVARIABLEDECLARATORID`
`static int` | `JJTVARIABLEINITIALIZER`
`static int` | `JJTWHILESTATEMENT`

Field Detail

### JJTCOMPILATIONUNIT

    public static final int JJTCOMPILATIONUNIT

See Also:
  Constant Field Values

### JJTPACKAGEDECLARATION

    public static final int JJTPACKAGEDECLARATION

See Also:
  Constant Field Values

### JJTIMPORTDECLARATION

    public static final int JJTIMPORTDECLARATION

See Also:
  Constant Field Values

### JJTTYPEDECLARATION

    public static final int JJTTYPEDECLARATION

See Also:
  Constant Field Values

### JJTCLASSDECLARATION

    public static final int JJTCLASSDECLARATION

See Also:
  Constant Field Values

### JJTUNMODIFIEDCLASSDECLARATION

    public static final int JJTUNMODIFIEDCLASSDECLARATION

See Also:
  Constant Field Values

### JJTCLASSBODY

    public static final int JJTCLASSBODY

See Also:
  Constant Field Values

### JJTNESTEDCLASSDECLARATION

    public static final int JJTNESTEDCLASSDECLARATION

See Also:
  Constant Field Values

### JJTCLASSBODYDECLARATION

    public static final int JJTCLASSBODYDECLARATION

See Also:
  Constant Field Values

### JJTMETHODDECLARATIONLOOKAHEAD

    public static final int JJTMETHODDECLARATIONLOOKAHEAD

See Also:
  Constant Field Values

### JJTINTERFACEDECLARATION

    public static final int JJTINTERFACEDECLARATION

See Also:
  Constant Field Values

### JJTNESTEDINTERFACEDECLARATION

    public static final int JJTNESTEDINTERFACEDECLARATION

See Also:
  Constant Field Values

### JJTUNMODIFIEDINTERFACEDECLARATION

    public static final int JJTUNMODIFIEDINTERFACEDECLARATION

See Also:
  Constant Field Values

### JJTINTERFACEMEMBERDECLARATION

    public static final int JJTINTERFACEMEMBERDECLARATION

See Also:
  Constant Field Values

### JJTFIELDDECLARATION

    public static final int JJTFIELDDECLARATION

See Also:
  Constant Field Values

### JJTFIELDDECLARATOR

    public static final int JJTFIELDDECLARATOR

See Also:
  Constant Field Values

### JJTVARIABLEDECLARATOR

    public static final int JJTVARIABLEDECLARATOR

See Also:
  Constant Field Values

### JJTFIELD_VARIABLEDECLARATORID

    public static final int JJTFIELD_VARIABLEDECLARATORID

See Also:
  Constant Field Values

### JJTPARAMETER_VARIABLEDECLARATORID

    public static final int JJTPARAMETER_VARIABLEDECLARATORID

See Also:
  Constant Field Values

### JJTVARIABLEDECLARATORID

    public static final int JJTVARIABLEDECLARATORID

See Also:
  Constant Field Values

### JJTVARIABLEINITIALIZER

    public static final int JJTVARIABLEINITIALIZER

See Also:
  Constant Field Values

### JJTARRAYINITIALIZER

    public static final int JJTARRAYINITIALIZER

See Also:
  Constant Field Values

### JJTMETHODDECLARATION

    public static final int JJTMETHODDECLARATION

See Also:
  Constant Field Values

### JJTMETHODDECLARATOR

    public static final int JJTMETHODDECLARATOR

See Also:
  Constant Field Values

### JJTFORMALPARAMETERS

    public static final int JJTFORMALPARAMETERS

See Also:
  Constant Field Values

### JJTFORMALPARAMETER

    public static final int JJTFORMALPARAMETER

See Also:
  Constant Field Values

### JJTCONSTRUCTORDECLARATION

    public static final int JJTCONSTRUCTORDECLARATION

See Also:
  Constant Field Values

### JJTEXPLICITCONSTRUCTORINVOCATION

    public static final int JJTEXPLICITCONSTRUCTORINVOCATION

See Also:
  Constant Field Values

### JJTINITIALIZER

    public static final int JJTINITIALIZER

See Also:
  Constant Field Values

### JJTFIELD_TYPE

    public static final int JJTFIELD_TYPE

See Also:
  Constant Field Values

### JJTMETHODRESULT_TYPE

    public static final int JJTMETHODRESULT_TYPE

See Also:
  Constant Field Values

### JJTPARAMETER_TYPE

    public static final int JJTPARAMETER_TYPE

See Also:
  Constant Field Values

### JJTTYPE

    public static final int JJTTYPE

See Also:
  Constant Field Values

### JJTPRIMITIVETYPE

    public static final int JJTPRIMITIVETYPE

See Also:
  Constant Field Values

### JJTRESULTTYPE

    public static final int JJTRESULTTYPE

See Also:
  Constant Field Values

### JJTNAME

    public static final int JJTNAME

See Also:
  Constant Field Values

### JJTEXECUTABLEMEMBERTHROWS_NAME

    public static final int JJTEXECUTABLEMEMBERTHROWS_NAME

See Also:
  Constant Field Values

### JJTINTERFACES_NAME

    public static final int JJTINTERFACES_NAME

See Also:
  Constant Field Values

### JJTNAMELIST

    public static final int JJTNAMELIST

See Also:
  Constant Field Values

### JJTEXECUTABLEMEMBERTHROWS_NAMELIST

    public static final int JJTEXECUTABLEMEMBERTHROWS_NAMELIST

See Also:
  Constant Field Values

### JJTINTERFACES_NAMELIST

    public static final int JJTINTERFACES_NAMELIST

See Also:
  Constant Field Values

### JJTEXPRESSION

    public static final int JJTEXPRESSION

See Also:
  Constant Field Values

### JJTASSIGNMENTOPERATOR

    public static final int JJTASSIGNMENTOPERATOR

See Also:
  Constant Field Values

### JJTCONDITIONALEXPRESSION

    public static final int JJTCONDITIONALEXPRESSION

See Also:
  Constant Field Values

### JJTCONDITIONALOREXPRESSION

    public static final int JJTCONDITIONALOREXPRESSION

See Also:
  Constant Field Values

### JJTCONDITIONALANDEXPRESSION

    public static final int JJTCONDITIONALANDEXPRESSION

See Also:
  Constant Field Values

### JJTINCLUSIVEOREXPRESSION

    public static final int JJTINCLUSIVEOREXPRESSION

See Also:
  Constant Field Values

### JJTEXCLUSIVEOREXPRESSION

    public static final int JJTEXCLUSIVEOREXPRESSION

See Also:
  Constant Field Values

### JJTANDEXPRESSION

    public static final int JJTANDEXPRESSION

See Also:
  Constant Field Values

### JJTEQUALITYEXPRESSION

    public static final int JJTEQUALITYEXPRESSION

See Also:
  Constant Field Values

### JJTINSTANCEOFEXPRESSION

    public static final int JJTINSTANCEOFEXPRESSION

See Also:
  Constant Field Values

### JJTRELATIONALEXPRESSION

    public static final int JJTRELATIONALEXPRESSION

See Also:
  Constant Field Values

### JJTSHIFTEXPRESSION

    public static final int JJTSHIFTEXPRESSION

See Also:
  Constant Field Values

### JJTADDITIVEEXPRESSION

    public static final int JJTADDITIVEEXPRESSION

See Also:
  Constant Field Values

### JJTMULTIPLICATIVEEXPRESSION

    public static final int JJTMULTIPLICATIVEEXPRESSION

See Also:
  Constant Field Values

### JJTUNARYEXPRESSION

    public static final int JJTUNARYEXPRESSION

See Also:
  Constant Field Values

### JJTPREINCREMENTEXPRESSION

    public static final int JJTPREINCREMENTEXPRESSION

See Also:
  Constant Field Values

### JJTPREDECREMENTEXPRESSION

    public static final int JJTPREDECREMENTEXPRESSION

See Also:
  Constant Field Values

### JJTUNARYEXPRESSIONNOTPLUSMINUS

    public static final int JJTUNARYEXPRESSIONNOTPLUSMINUS

See Also:
  Constant Field Values

### JJTCASTLOOKAHEAD

    public static final int JJTCASTLOOKAHEAD

See Also:
  Constant Field Values

### JJTPOSTFIXEXPRESSION

    public static final int JJTPOSTFIXEXPRESSION

See Also:
  Constant Field Values

### JJTCASTEXPRESSION

    public static final int JJTCASTEXPRESSION

See Also:
  Constant Field Values

### JJTPRIMARYEXPRESSION

    public static final int JJTPRIMARYEXPRESSION

See Also:
  Constant Field Values

### JJTPRIMARYPREFIX

    public static final int JJTPRIMARYPREFIX

See Also:
  Constant Field Values

### JJTPRIMARYSUFFIX

    public static final int JJTPRIMARYSUFFIX

See Also:
  Constant Field Values

### JJTLITERAL

    public static final int JJTLITERAL

See Also:
  Constant Field Values

### JJTBOOLEANLITERAL

    public static final int JJTBOOLEANLITERAL

See Also:
  Constant Field Values

### JJTNULLLITERAL

    public static final int JJTNULLLITERAL

See Also:
  Constant Field Values

### JJTARGUMENTS

    public static final int JJTARGUMENTS

See Also:
  Constant Field Values

### JJTARGUMENTLIST

    public static final int JJTARGUMENTLIST

See Also:
  Constant Field Values

### JJTALLOCATIONEXPRESSION

    public static final int JJTALLOCATIONEXPRESSION

See Also:
  Constant Field Values

### JJTARRAYDIMSANDINITS

    public static final int JJTARRAYDIMSANDINITS

See Also:
  Constant Field Values

### JJTSTATEMENT

    public static final int JJTSTATEMENT

See Also:
  Constant Field Values

### JJTLABELEDSTATEMENT

    public static final int JJTLABELEDSTATEMENT

See Also:
  Constant Field Values

### JJTBLOCK

    public static final int JJTBLOCK

See Also:
  Constant Field Values

### JJTMETHOD_BLOCK

    public static final int JJTMETHOD_BLOCK

See Also:
  Constant Field Values

### JJTBLOCKSTATEMENT

    public static final int JJTBLOCKSTATEMENT

See Also:
  Constant Field Values

### JJTMETHOD_BLOCKSTATEMENT

    public static final int JJTMETHOD_BLOCKSTATEMENT

See Also:
  Constant Field Values

### JJTLOCALVARIABLEDECLARATION

    public static final int JJTLOCALVARIABLEDECLARATION

See Also:
  Constant Field Values

### JJTEMPTYSTATEMENT

    public static final int JJTEMPTYSTATEMENT

See Also:
  Constant Field Values

### JJTSTATEMENTEXPRESSION

    public static final int JJTSTATEMENTEXPRESSION

See Also:
  Constant Field Values

### JJTSWITCHSTATEMENT

    public static final int JJTSWITCHSTATEMENT

See Also:
  Constant Field Values

### JJTSWITCHLABEL

    public static final int JJTSWITCHLABEL

See Also:
  Constant Field Values

### JJTIFSTATEMENT

    public static final int JJTIFSTATEMENT

See Also:
  Constant Field Values

### JJTWHILESTATEMENT

    public static final int JJTWHILESTATEMENT

See Also:
  Constant Field Values

### JJTDOSTATEMENT

    public static final int JJTDOSTATEMENT

See Also:
  Constant Field Values

### JJTFORSTATEMENT

    public static final int JJTFORSTATEMENT

See Also:
  Constant Field Values

### JJTFORINIT

    public static final int JJTFORINIT

See Also:
  Constant Field Values

### JJTSTATEMENTEXPRESSIONLIST

    public static final int JJTSTATEMENTEXPRESSIONLIST

See Also:
  Constant Field Values

### JJTFORUPDATE

    public static final int JJTFORUPDATE

See Also:
  Constant Field Values

### JJTBREAKSTATEMENT

    public static final int JJTBREAKSTATEMENT

See Also:
  Constant Field Values

### JJTCONTINUESTATEMENT

    public static final int JJTCONTINUESTATEMENT

See Also:
  Constant Field Values

### JJTRETURNSTATEMENT

    public static final int JJTRETURNSTATEMENT

See Also:
  Constant Field Values

### JJTTHROWSTATEMENT

    public static final int JJTTHROWSTATEMENT

See Also:
  Constant Field Values

### JJTSYNCHRONIZEDSTATEMENT

    public static final int JJTSYNCHRONIZEDSTATEMENT

See Also:
  Constant Field Values

### JJTTRYSTATEMENT

    public static final int JJTTRYSTATEMENT

See Also:
  Constant Field Values

### JJTASSERTSTATEMENT

    public static final int JJTASSERTSTATEMENT

See Also:
  Constant Field Values

### jjtNodeName

    public static final String[] jjtNodeName

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2004 XDoclet Team. All Rights Reserved.